Saturday, June 21, 2008

Data Set Backwards Compatibility

The SWMM 5 data input files are not backwards compatible with previous versions of SWMM - you cannot open a file created in v13 with a v11 GUI without getting messages about Options or features present in v13 but not present in v11. Not everyone looks at the C code but the new options are listed in the file enums.h with a version notation:

SKIP_STEADY_STATE, TEMPDIR, IGNORE_RAINFALL, //(5.0.010 - LR)
FORCE_MAIN_EQN, LINK_OFFSETS, //(5.0.012 - LR)

The good feature about this message is that it tells you what MAY be different between the two SWMM versions. For example, if you used Link Offsets in v13 then you will not have a valid model in SWMM 5.0.011. However, if you are not using a new option in SWMM 5.0.013 then you will have a valid backwards compatible SWMM 5.0.011 input data set.
Zemanta Pixie

No comments:

InfoSWMM Version Numbers and the version of Arc Map they use and which EPA SWMM5 Engine is used for Each InfoSWMM Version

 InfoSWMM Version Numbers  InfoSWMM Version 14.7  Update 3 for Arc Map 10 to 10.8 and Windows 7/8/8.1/10 - EPA SWMM 5.1.014   4/12/2020   ...